Skip to main content
PATCH
/
collateral_management
/
packages
/
{packageId}
Update a collateral package
curl --request PATCH \
  --url https://api.anchorage-staging.com/v2/collateral_management/packages/{packageId} \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "acceleratedMarginCall": {
    "curePeriod": "<string>",
    "ltv": "<string>"
  },
  "autoDeleveraging": {
    "levels": [
      {
        "liquidationPercentage": "<string>",
        "price": "<string>"
      }
    ]
  },
  "clientReferenceId": "<string>",
  "collateralAssetsConfig": [
    {
      "asset": {
        "assetType": "<string>"
      },
      "liquidationPriority": 123,
      "maxStalenessMinutes": 123,
      "notes": "<string>",
      "weight": "<string>"
    }
  ],
  "critical": {
    "defaultNotice": true,
    "ltv": "<string>",
    "returnToLtv": "<string>",
    "warningLtv": "<string>"
  },
  "isActive": true,
  "ltvRoundingPrecision": 123,
  "marginCall": {
    "curePeriod": "<string>",
    "curePeriodProtection": true,
    "ltv": "<string>",
    "returnToLtv": "<string>",
    "warningLtv": "<string>"
  },
  "marginReturn": {
    "ltv": "<string>",
    "returnToLtv": "<string>",
    "returnType": "<string>"
  }
}
'
{
  "active": true,
  "clientReferenceId": "<string>",
  "collateralAssets": [
    {
      "asset": {
        "assetType": "<string>"
      },
      "price": "<string>",
      "quantity": "<string>",
      "weight": "<string>",
      "weightedValue": "<string>"
    }
  ],
  "critical": {
    "defaultNotice": true,
    "ltv": "<string>",
    "returnToLtv": "<string>",
    "warningLtv": "<string>"
  },
  "exposureValue": "<string>",
  "packageId": "<string>",
  "packageValue": "<string>",
  "pledgorId": "<string>",
  "securedPartyId": "<string>",
  "acceleratedMarginCall": {
    "curePeriod": "<string>",
    "ltv": "<string>"
  },
  "currentLtv": "<string>",
  "ltvTimestamp": "<string>",
  "marginCall": {
    "curePeriod": "<string>",
    "curePeriodProtection": true,
    "ltv": "<string>",
    "returnToLtv": "<string>",
    "warningLtv": "<string>"
  },
  "marginReturn": {
    "ltv": "<string>",
    "returnToLtv": "<string>"
  }
}
Requires Api-Signature. Replace PACKAGE_ID in the path with the actual package ID before signing.

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

packageId
string
required

The unique identifier of the package to update.

Body

application/json

The details for updating an existing collateral package

The request payload for updating an existing collateral package. All fields are optional - only provide the fields you want to update.

acceleratedMarginCall
object

Accelerated Margin Call level configuration for updates. All fields are optional.

autoDeleveraging
object

Auto-deleveraging configuration for updates. All fields are optional.

clientReferenceId
string

A reference identifier provided by the client for this collateral package

collateralAssetsConfig
object[]

Array of asset tracking configurations. If provided, this will replace the entire existing asset tracking configuration.

critical
object

Critical level configuration for updates. All fields are optional.

isActive
boolean

Indicates whether the package should be activated for monitoring or not

ltvRoundingPrecision
integer

Number of decimal places to round LTV values to

marginCall
object

Margin Call level configuration for updates. All fields are optional.

marginReturn
object

Margin Return level configuration for updates. All fields are optional.

priceStrategy
enum<string>

This field specifies the pricing strategy to be used for the collateral package. To be implemented in the future

Available options:
DEFAULT,
BID,
ASK,
MID,
LAST

Response

Successfully updated collateral package

A package of different types of collateral which, together, secure a collection of exposures.

active
boolean
required

Indicates whether the package has been activated for monitoring or not

clientReferenceId
string
required

Client-provided reference ID for this Collateral Package

collateralAssets
object[]
required

An array containing objects, where each object represents a specific asset held within the Collateral Package and its associated details

critical
object
required

Critical level config

exposureValue
string
required

The current total value of the Exposure(s) associated with this Collateral Package, expressed in USD

packageId
string
required

Unique identifier for the Collateral Package

packageValue
string
required

The current total value of the Collateral Package, calculated using the configured pricing methodology and real-time price data, expressed in USD

pledgorId
string
required

Collateral management participant ID of the Pledgor (borrower) associated with this collateral package

securedPartyId
string
required

Collateral management participant ID of the Secure Party (lender) associated with this collateral package

acceleratedMarginCall
object

Accelerated Margin Call level config

currentLtv
string

The current Loan-to-Value (LTV) ratio for the Collateral Package, expressed as a decimal string

ltvTimestamp
string

Timestamp indicating the last time the currentLtv was calculated and updated. This timestamp provides context for the recency of the LTV value

marginCall
object

Margin Call level config

marginReturn
object

Margin Return level config

state
enum<string>

Current state of the Collateral Package

Available options:
MARGIN_RETURN,
HEALTHY,
MARGIN_CALL,
CRITICAL,
CLOSED,
CURE_PERIOD_EXPIRED,
DEFAULTED